Bug 233727

Summary: graphics/mupdf: Update to 1.14.0, graphics/zathura-pdf-mupdf: Update to 0.3.4
Product: Ports & Packages Reporter: Zsolt Udvari <uzsolt>
Component: Individual Port(s)Assignee: Alexandre C. GuimarĂ£es <rigoletto>
Status: Closed FIXED    
Severity: Affects Some People CC: rigoletto
Priority: --- Keywords: needs-qa
Version: Latest   
Hardware: Any   
OS: Any   
URL: https://reviews.freebsd.org/D19301
See Also: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=233021
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=232902
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=229935
Bug Depends on:    
Bug Blocks: 229935, 232902, 233021    
Attachments:
Description Flags
Patch - zathura-pdf-mupdf isn't perfect. none

Description Zsolt Udvari 2018-12-02 18:57:27 UTC
Created attachment 199760 [details]
Patch - zathura-pdf-mupdf isn't perfect.

The zathura-pdf-mupdf update isn't good but I don't know why (and how can solve it). The build process is fine but when I try to run zathura:
error: Could not load plugin '/usr/local/lib/zathura/libpdf-mupdf.so' (/usr/local/lib/libmupdf.so.1.14.0: Undefined symbol "jpeg_resync_to_restart")
The mupdf is good I can view PDF files.

Mupdf port changelog:
- update to 1.14.0
- cleaning Makefile
- create libmupdf-third.so link (instead of libmupdfthird.so)
- simplier patch-Makerules

Zathura-pdf-mupdf port changelog:
- update to 0.3.4
- add new MASTER_SITES
- copy metainfo.xml to proper place

Changelogs:
https://mupdf.com/release_history.html
Comment 1 Alexandre C. GuimarĂ£es freebsd_committer 2019-02-20 15:41:33 UTC
The Zathura site is down and the distfiles can't be downloaded; however the data is available on their gitlab but without prepared release tarballs.

I will hold it for a while to see if the original address will comeback otherwise switch to gitlab.
Comment 2 commit-hook freebsd_committer 2019-02-24 00:45:05 UTC
A commit references this bug:

Author: rigoletto
Date: Sun Feb 24 00:44:52 UTC 2019
New revision: 493732
URL: https://svnweb.freebsd.org/changeset/ports/493732

Log:
  graphics/zathura: Update to 4.3.

  - update graphics/mupdf to 1.14.0
  - update graphics/zathura-pdf-mupdf to 0.3.4

  PR:		235952
  PR:		233727
  PR:		229935
  PR:		232902
  PR:		233021
  Approved by:	tcberner (mentor), Zsolt Udvari <uzsolt@uzsolt.hu> (maintainer), Quentin Stievenart <quentin.stievenart@gmail.com> (maintainer)
  Differential Revision:	https://reviews.freebsd.org/D19301

Changes:
  head/graphics/mupdf/Makefile
  head/graphics/mupdf/distinfo
  head/graphics/mupdf/files/patch-Makefile
  head/graphics/mupdf/files/patch-Makerules
  head/graphics/mupdf/files/patch-thirdparty_lcms2_src_cmsmd5.c
  head/graphics/mupdf/pkg-plist
  head/graphics/zathura/Makefile
  head/graphics/zathura/distinfo
  head/graphics/zathura/pkg-plist
  head/graphics/zathura-pdf-mupdf/Makefile
  head/graphics/zathura-pdf-mupdf/distinfo